﻿function once(fn, context) {
    var result;
    return function () {
        if (fn) { result = fn.apply(context || this, arguments); fn = null; }
        return result;
    };
}

//function retry(fn, context, tries, success, error) {
//    if (!tries || tries <= 0) return;

//    try {
//        var result = fn.apply(context || this, arguments);
//        if (success) success(result);
//    }
//    catch (err) {
//        if (error) error(err);
//        retry(fn, context, --tries, success, error);
//    }
//}

function result(obj, context) {
    return typeof obj == 'function' ? obj.call(context || window) : obj;
};

function cut(str, len) {
    return (str.length < len) ? str : str.substr(0, len - 2) + '..';
}

function loadscript(key, src, attrs, callback) {
    if (key && (key in window) && window[key] != null) return callback();
    var script = document.createElement('script');
    script.src = src; for (attr in attrs) script[attr] = attrs[attr];
    if (callback) {
        if (script.readyState) script.onreadystatechange = function () { if (script.readyState == 'loaded' || script.readyState == 'complete') { script.onreadystatechange = null; callback(); } };
        else script.onload = callback;
    }
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(script, s);
    if (key) window[key] = script;
}

var throttle = function (func, wait) {
    var timeout = null;
    var args = null;
    var context = null;
    var later = function () { func.apply(context, args); }

    return function () {
        context = this;
        args = Array.prototype.slice.call(arguments);

        if (timeout) clearTimeout(timeout);
        timeout = setTimeout(later, wait);
    };
};


window.LSR = {
    setObject: function (key, value) {
        localStorage.setItem(key, JSON.stringify(value));
    },
    getObject: function (key) {
        var value = localStorage.getItem(key);
        return value && JSON.parse(value);
    },
    getAndRemove: function (key) {
        var value = localStorage.getItem(key);
        if (value == null)
            return value;

        localStorage.removeItem(key);
        return value;
    }
};