﻿/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app_settings = {
    version: '10039', url: 'http://www.tudoporemail.com.br/handlers/api.ashx?appv=', domain_scheme: /^(?:baba|https?):\/\/www\.tudoporemail\.com\.br\/?$/gi,
    onesignal: { app_id: 'b30712af-58cb-4193-b24f-1f81c6f929e9', project_number: '900176062428' }, //production
    //onesignal: { app_id: '89d7da5f-7b63-416a-8a5b-a33cdd14783e', project_number: '417108257405' }, //test
    advertise: {
        cap: 30, alternate_sticky: true, alternate_interstitial: true,
        admob: { banner: 'ca-app-pub-9065443520559596/4465008261', interstitial: 'ca-app-pub-9065443520559596/3462608669' }, //ca-app-pub-9065443520559596/2988275066
        //facebook: { banner: '307059436119631_726465620845675', interstitial: '307059436119631_726465484179022' }
        facebook: { banner: '', interstitial: '' },
        videos: 0
    }, //hyper
    analytics: 'UA-88258171-3'
};

var local_settings = LSR.getObject('local_settings') || {};
$.extend(true, app_settings, local_settings);

var index = {
    initialize: function () {
        //save that this is the firstpage
        localStorage.setItem('first_page', 1);
        localStorage.removeItem('sticky_shown');
        document.addEventListener('deviceready', this.onDeviceReady, false);

        if (!localStorage.getItem('settings')) localStorage.setItem('show_settings', 1);
        if (!localStorage.getItem('rateapp')) localStorage.setItem('show_rate', 1);
    },
    onDeviceReady: function () {
        if (device.platform == 'iOS') {
            StatusBar.styleLightContent();
            StatusBar.overlaysWebView(false);
            window.setTimeout(function () { navigator.splashscreen.hide(); }, 0);
        }

        StatusBar.backgroundColorByHexString("#27303f");

        if (navigator.connection.type == Connection.NONE) {
            //(function ($) { $('.loading-content').remove(); })(jQuery);
            navigator.notification.confirm('[=app_general_error_connection_text]', function (btn) {
                window.location.href = 'index.html';//window.location.href;
            }, '[=app_general_error]', '[=app_settings_btn_close]');
            return;
        }

        if (device.platform == 'Android')
            window.plugins.webintent.getUri(function (url) { if (index.redirect(url, 'link')) localStorage.setItem('dailystats', 'link'); else index.redirect('default.html', 'direct'); });
        else
            index.redirect('default.html', 'direct');
    },
    redirect: function (url, source) {
        if (!url) return false;

        if (url != 'default.html') {
            var uri = purl(url);

            if (uri.param('memberid') && /^\d+$/.test(uri.param('memberid'))) {
                //save newly updated memeberid
                localStorage.setItem('memberid', uri.param('memberid'));
            }

            var parsed_url = app_settings.domain_scheme.test(url) ? 'default.html' : app.parse_url(uri);

            //page not supported in app - open modal
            if (parsed_url == '') {
                localStorage.setItem('open_modal', url);
                return false;
            }

            url = parsed_url;
        }

        window.location.href = url;
        return true;
    }
}

var app = {
    url: app_settings.url + app_settings.version,
    details: function () {
        if ('device' in window) return { uid: device.uuid, platform: device.platform };

        var mi = LSR.getObject('mi');
        if (mi != null) return { uid: mi.deviceid, platform: mi.devicetype };

        return { uid: '', platform: '' };
    },
    first_page: false,
    back_btn_disable: false,
    initialize: function () {
        //get the firstpage after index and clean it
        app.first_page = LSR.getAndRemove('first_page') == 1;

        var back_btn = document.getElementById('back_btn_pressed');

        if (app.first_page) {
            back_btn.value = '1';
            app.back_btn_disable = true;
        }
        else
            app.back_btn_disable = (back_btn.value == '1');

        this.bindEvents();
    },
    bindEvents: function () {
        document.addEventListener('deviceready', this.onDeviceReady, false);

        if (app.back_btn_disable) {
            document.addEventListener('backbutton', function (ev) {
                ev.preventDefault();
                navigator.notification.confirm('[=app_general_exit_text]', function (btn) { if (btn == 1) navigator.app.exitApp(); }, '[=app_general_exit_title]', '[=app_general_yes],[=app_general_no]');
            }, false);
        }
        else
            (function ($) { $('.tm-backbtn-replace').addClass('hidden'); $('#tm-back-btn').removeClass('hidden').click(function (e) { e.preventDefault(); window.history.back(); }); })(jQuery);

        //document.addEventListener('menubutton', function () { (function ($) { $('.toggle-menu').click(); })(jQuery); }, false);

        (function ($) {
            // Ripple-effect animation
            $(document).on('click', 'a', function (e) {
                var rippler = $(this);
                var ink = $('.ink');
                if (ink.length == 0) $(document.body).append((ink = $('<span class="ink"></span>')));
                else ink.removeClass('animate');

                if (!ink.height() && !ink.width()) {
                    var d = Math.max(rippler.outerWidth(), rippler.outerHeight());
                    d = Math.min(d, 50);
                    ink.css({ height: d, width: d });
                }
                // get click coordinates
                var x = e.pageX - ink.width() / 2;
                var y = e.pageY - ink.height() / 2;
                // set .ink position and add class .animate
                ink.css({ top: y + 'px', left: x + 'px' }).addClass('animate');
            });

            // no-cache
            //$(document).on('click', 'a', function (e) {
            //    var $this = $(this);

            //    var url = $this.data('href') || $this.attr('href');
            //    if (url.indexOf('.html') == -1 || url.indexOf('#') != -1) return;

            //    $this.data('href', url);
            //    $this.attr('href', url + (url.indexOf('?') == -1 ? '?' : '&') + 'rand=' + Math.random().toString());
            //});

            $(window).on('share like', function (event, emailid) {
                facebookConnectPlugin.logEvent('fb_mobile_rate'/*EVENT_NAME_RATED */, { 'fb_content_id': emailid });
            });

            $(window).one('lazycontent', function () {
                if (history.state && history.state.data && 'scrollTop' in history.state.data) {
                    $(window).scrollTop(history.state.data.scrollTop || 0);
                }
            });

            //$(document).on('click', 'a[data-action=recommend]', function () {
            //    facebookConnectPlugin.appInvite({ url: 'http://test.baba-mail.co.il/app_redirect.aspx', picture: 'http://test.baba-mail.co.il/css/img/app/phones.png' });
            //});
        })(jQuery);
    },
    loading: 0,
    showLoading: false,
    contentLoaded: false,
    hideContent: function () { app.showLoading = true; if ('SC' in window && SC.inited) SC.pause(); },
    showContent: function () {
        if (!app.showLoading) return;
        app.showLoading = false;
        if (!app.contentLoaded) return;
        (function ($) { $('.loading-content').remove(); $('.tm-article,.tm-video-body').show(); $(window).trigger('content_loaded'); })(jQuery);
    },
    pages_supported_advertise: {
        content: 1, video: 1
    },
    advertise: function (mi) {
        var page = purl().attr('file').replace(/\.html$/g, '').toLowerCase();
        if (!app.pages_supported_advertise.hasOwnProperty(page))
            return;

        if (app_settings.advertise.videos == 0 && page.indexOf('video') > -1) {
            AdMob.hideBanner();
            localStorage.setItem('hide_banner', 1);
            return;
        }

        document.addEventListener('onAdFailLoad', function (data) {
            if (data.adType != 'banner') return;

            if (data.adNetwork == 'FacebookAds') {
                FacebookAds.removeBanner();
                app.showSticky(true);
            }
            else
                AdMob.removeBanner();
        });
        if (device.platform == 'iOS') {
            document.addEventListener('onAdLoaded', function (data) {
                if (data.adType != 'banner') return;

                localStorage.setItem('sticky_shown', data.adNetwork);
            });
        }

        var interstitial = false;

        var alternate = app_settings.advertise.alternate_interstitial && app_settings.advertise.admob.interstitial != '' && app_settings.advertise.facebook.interstitial != '' && (mi.interstitial_count || 0) % 2 == 1;

        if (app_settings.advertise.admob.interstitial != '' && !alternate)
            interstitial = app.showInterstitial(mi, AdMob, app_settings.advertise.admob.interstitial);
        else if (app_settings.advertise.facebook.interstitial != '')
            interstitial = app.showInterstitial(mi, FacebookAds, app_settings.advertise.facebook.interstitial);

        if (!interstitial || device.platform != 'iOS')
            app.showSticky();

        //make sure the content shown
        window.setTimeout(app.showContent, 8000);
    },
    showInterstitial: function (mi, plugin, adId) {
        if (mi.views == 1 || app.show_settings(mi))
            return false;

        var now = +new Date;
        if (app_settings.advertise.cap > 0 && (now - (mi.advertised || 0)) <= (app_settings.advertise.cap * 1000))
            return false;

        mi.advertised = now;
        mi.interstitial_count = (mi.interstitial_count || 0) + 1;

        document.addEventListener('onAdFailLoad', function (data) {
            if (data.adType != 'interstitial') return;

            if (data.adNetwork == 'FacebookAds')
                AdMob.prepareInterstitial({ adId: app_settings.advertise.admob.interstitial, autoShow: true, success: app.hideContent/*, error: function(){ }*/ });
            else {
                app.showContent();
                if (device.platform == 'iOS')
                    app.showSticky();
            }
        });
        document.addEventListener('onAdLoaded', function (data) {
            if (data.adType != 'interstitial') return;
            app.showContent();

            if (device.platform == 'iOS') {
                document.addEventListener('onAdDismiss', function (data) {
                    if (data.adType != 'interstitial') return;

                    StatusBar.overlaysWebView(true);
                    StatusBar.overlaysWebView(false);

                    //ios bugfix - facebook sticky shrinks after interstitial dismissed
                    if (localStorage.getItem('sticky_shown') == 'FacebookAds') {
                        FacebookAds.removeBanner();
                        localStorage.removeItem('sticky_shown');
                    }

                    app.showSticky();
                });
            }
        });
        plugin.prepareInterstitial({ adId: adId, autoShow: true, success: app.hideContent/*, error: function(){ }*/ });

        return true;
    },
    showSticky: function (forceAdMob) {
        if (LSR.getAndRemove('hide_banner') == 1) {
            AdMob.showBanner(AdMob.AD_POSITION.BOTTOM_CENTER);
            return;
        }

        if (!forceAdMob && localStorage.getItem('sticky_shown') != null) return;
        localStorage.setItem('sticky_shown', 1);

        var alternate = app_settings.advertise.alternate_sticky && app_settings.advertise.admob.banner != '' && app_settings.advertise.facebook.banner != '' && app.memberInfo.openapp % 2 == 0 && !forceAdMob;

        if (app_settings.advertise.admob.banner != '' && !alternate) {
            if (device.platform == 'iOS') AdMob.setOptions({ offsetTopBar: true });
            AdMob.createBanner({ adId: app_settings.advertise.admob.banner, position: AdMob.AD_POSITION.BOTTOM_CENTER, bgColor: 'black' });
        }
        else if (app_settings.advertise.facebook.banner != '') {
            if (device.platform == 'iOS') FacebookAds.setOptions({ offsetTopBar: true });
            FacebookAds.createBanner({ adId: app_settings.advertise.facebook.banner, position: FacebookAds.AD_POSITION.BOTTOM_CENTER, bgColor: 'black' });
        }
    },
    default_categories: { Group_1: true, Group_2: true, Group_3: true, Group_4: true, Group_5: true, Group_6: true, Group_7: true, Group_8: true, Group_9: true },
    show_settings: function (mi) { return ((mi.openapp == 2 || mi.openapp % 20 == 0) && localStorage.getItem('show_settings') == 1); },
    show_rate: function (mi) { return (mi.openapp % 17 == 0 && LSR.getAndRemove('show_rate') == 1 /*&& !app.show_settings(mi)*/); },
    setBadge: function (value) {
        (function ($) {
            $('[data-rel="notifications"]').html(value).toggle(value > 0).filter(function () { return $(this).parent().is('a'); }).parent().css('background', value > 0 ? '#fff2f2' : '#fff');
        })(jQuery);
    },
    getBagde: function () {
        switch (device.platform) {
            case 'iOS':
                cordova.plugins.notification.badge.get(app.setBadge);
                break;
            case 'Android':
                try {
                    app.db = app.db || window.sqlitePlugin.openDatabase({ name: 'OneSignal.db', location: 1 });
                    app.db.readTransaction(function (tx) { tx.executeSql('SELECT count(*) AS unread FROM notification WHERE dismissed = 0 AND opened = 0 AND is_summary = 0', [], function (tx, result) { app.setBadge(result.rows.item(0).unread); }); });
                }
                catch (e) { }
                break;
        }
    },
    clearBagde: function () {
        if (device.platform == 'Android') {
            try {
                app.db = app.db || window.sqlitePlugin.openDatabase({ name: 'OneSignal.db', location: 1 });
                app.db.transaction(function (tx) { tx.executeSql('UPDATE notification SET opened = 1 WHERE dismissed = 0 AND opened = 0 AND is_summary = 0', []); });
            }
            catch (e) { }
        }

        cordova.plugins.notification.badge.set(0, function () { app.setBadge(0) });
    },
    onResume: function () {
        //window.setTimeout(function () {
        app.getBagde();

        if (device.platform == 'iOS') {
            StatusBar.overlaysWebView(true);
            StatusBar.overlaysWebView(false);
        }

        var now = +new Date;
        if (app.memberInfo && (now - app.memberInfo.lastvisit) > (60 * 1000))
            localStorage.removeItem('sticky_shown');
        //}, 0);
    },
    onPause: function () {
        if ('memberInfo' in app)
            app.memberInfo.lastvisit = +new Date;
    },
    onDeviceReady: function () {
        document.addEventListener('resume', app.onResume, false);
        document.addEventListener('pause', app.onPause, false);

        if (device.platform == 'iOS') {
            StatusBar.overlaysWebView(false);

            (function ($) {
                $(window).scroll(function () {
                    var stateObj = { data: { scrollTop: $(window).scrollTop() } };
                    history.replaceState(stateObj, '');
                });
            })(jQuery);
        }
        //adds platform class to the html element
        //document.documentElement.className += ' ' + device.platform;

        app.getBagde();

        //update member info
        var mi = LSR.getObject('mi');
        if (mi == null) {
            var data = { openapp: 0, views: 0, createddate: +new Date, deviceid: device.uuid, devicetype: device.platform, memberid: 0, enable_notifications: true };
            mi = $.extend({}, app.default_categories, data);

            facebookConnectPlugin.getDeferredApplink(function (url) { if (url && url.length > 0) app.newIntent(url); });
        }

        if (!('enable_notifications' in mi))
            mi.enable_notifications = true;

        app.memberInfo = mi;

        //save viewport
        viewport.run(function (vp) { if (!app.first_page && mi.viewport == vp) return; mi.viewport = vp; $.post(app.url + '&a=viewport&deviceid=' + mi.deviceid, { 'type': vp }); });

        if (app.first_page) {
            mi.openapp++;

            $.get(app.url + '&a=app_settings&deviceid=' + mi.deviceid + '&devicetype=' + device.platform).done(function (data) { if (!data) return; $.extend(true, local_settings, data); LSR.setObject('local_settings', local_settings); $.extend(true, app_settings, local_settings); });
        }

        var memberid = LSR.getAndRemove('memberid');
        if (memberid)
            mi.memberid = parseInt(memberid);

        var count_views = LSR.getAndRemove('push_first_page') != 1;

        if (count_views)
            mi.views++;

        mi.lastvisit = +new Date;

        //advertise
        app.advertise(mi);

        LSR.setObject('mi', mi);

        //save stats        
        var dailystats = LSR.getAndRemove('dailystats');
        if (app.first_page || dailystats)
            stats.save({ t: 'daily', devicetype: device.platform, openappdirect: app.first_page ? 1 : 0, openapppush: dailystats == 'push' ? 1 : 0, openapplink: dailystats == 'link' ? 1 : 0 });

        stats.save({ t: 'memberstats', deviceid: mi.deviceid, devicetype: device.platform, memberid: mi.memberid, openapp: app.first_page ? 1 : 0, views: count_views ? 1 : 0, pushclick: dailystats == 'push' ? 1 : 0 });

        if (dailystats == 'push')
            app.iOSbadgeDecrease();

        (function ($) {
            if (app.first_page)
                $.get(app.url + '&a=getdefferedlink&deviceid=' + mi.deviceid + '&devicetype=' + device.platform, function (data) { if (!data || !('Link' in data) || data.Link == '') return; window.location.href = data.Link; });

            window.setTimeout(function () {
                //settings modal
                if (app.show_settings(mi)) {
                    (window.nomodal(function () { $('#modal-settings').modal(); }))();
                    localStorage.removeItem('show_settings');
                }
                else if (mi.openapp % 10 == 0 && !localStorage.getItem('recommend_app')) {
                    localStorage.setItem('recommend_app', 1);
                    (window.nomodal(function () { $('#modal-recommend-app').modal(); }))();
                }
                    //rate modal
                else if (app.show_rate(mi))
                    app.rate_app();
            }, 5000);
        })(jQuery);

        //google analytics
        (function ($) {
            var uri = purl();
            var query = uri.attr('query');
            var dataform = {
                v: 1, tid: app_settings.analytics, cid: mi.deviceid, t: 'appview', an: 'name', av: app_settings.version, cd: uri.attr('file') + (query != '' ? '?' + query : '')
            };
            $.ajax('http://www.google-analytics.com/collect', { type: 'post', contentType: 'text/plain', data: dataform });
        })(jQuery);

        try {
            window.plugins.OneSignal
                .startInit(app_settings.onesignal.app_id, app_settings.onesignal.project_number)
                .inFocusDisplaying(device.platform == 'iOS' && device.version.split('.')[0] < 10 ? window.plugins.OneSignal.OSInFocusDisplayOption.None : window.plugins.OneSignal.OSInFocusDisplayOption.Notification)
                .handleNotificationOpened(app.notificationCallback)
                .handleNotificationReceived(app.notificationReceived)
                .iOSSettings({
                    'kOSSettingsKeyAutoPrompt': true,
                    'kOSSettingsKeyInAppLaunchURL': false
                })
                .endInit();

            if (app.first_page) {
                window.plugins.OneSignal.deleteTags(['views', 'Group_1', 'Group_2', 'Group_3', 'Group_4', 'Group_5',
                    'Group_6', 'Group_7', 'Group_8', 'Group_9', 'openapp', 'viewport', 'lastvisit', 'advertised', 'createddate', 'interstitial_count']);
                window.plugins.OneSignal.sendTags({ memberid: mi.memberid, deviceid: mi.deviceid, devicetype: mi.devicetype, enable_notifications: mi.enable_notifications });
            }

            switch (device.platform) {
                case 'iOS':
                    universalLinks.subscribe(null, function (event) { app.newIntent(event.url); });
                    break;
                case 'Android':
                default:
                    window.plugins.webintent.onNewIntent(app.newIntent);
                    break;
            }

            app.open_modal();

        }
        catch (e) { }
    },
    UserHasGroups: function () {
        var mi = LSR.getObject('mi') || {};
        return 'enable_notifications' in mi && mi.enable_notifications;

        //for (group in mi) {
        //    if (group.indexOf('Group_') < 0)
        //        continue;

        //    if (mi[group] == true)
        //        return true;
        //}
        //return false;
    },
    newIntent: function (url) {
        if (app.redirect(url, 'link'))
            localStorage.setItem('dailystats', 'link');
        app.open_modal();
    },
    iOSbadgeDecrease: function () {
        if (device.platform != 'iOS') return;

        cordova.plugins.notification.badge.decrease(1, app.getBagde);
    },
    notificationReceived: function (jsonData) {
        app.getBagde();

        if (jsonData.shown) return;

        (function ($) {
            var $dialog = $('#modal-showcontent');

            localStorage.setItem('dailystats', 'push');
            if (app.first_page)
                localStorage.setItem('push_first_page', 1);

            if ('Image' in jsonData.payload.additionalData && jsonData.payload.additionalData.Image)
                $dialog.find('img').attr('src', jsonData.payload.additionalData.Image);
            else
                $dialog.find('.tm-img-wrapper').hide();

            $dialog.find('.tm-subject').html('title' in jsonData.payload ? jsonData.payload.title : jsonData.payload.body);
            $dialog.find('a').attr('href', jsonData.payload.additionalData.targetUrl).click(function (e) {
                e.preventDefault();
                app.redirect($(this).attr('href'), 'push');
                return false;
            });

            modal.close();
            (window.nomodal(function () { $dialog.modal(); }))();
        })(jQuery);
    },
    notificationCallback: function (jsonData) {
        app.getBagde();

        localStorage.setItem('dailystats', 'push');
        if (app.first_page)
            localStorage.setItem('push_first_page', 1);

        try {
            app.redirect(jsonData.notification.payload.additionalData.targetUrl, 'push');
        }
        catch (e) { }
    },
    redirect: function (url, source) {
        if (!url) return false;

        if (url.indexOf('http') != 0 && url[0] != '/')
            url = '/' + url;

        var uri = purl(url);

        if (uri.param('memberid') && /^\d+$/.test(uri.param('memberid'))) {
            //save newly updated memeberid
            localStorage.setItem('memberid', uri.param('memberid'));
        }

        var parsed_url = (app_settings.domain_scheme.test(url) ? 'default.html' : app.parse_url(uri));

        //page not supported in app - open modal
        if (parsed_url == '') {
            localStorage.setItem('open_modal', url);
            return false;
        }

        //ignore link to default if default already loaded
        if (source == 'link' && parsed_url == 'default.html' && purl().attr('file') == 'default.html')
            return false;

        window.location.href = parsed_url;
        return true;
    },
    open_modal: function () {
        var url = LSR.getAndRemove('open_modal');
        if (!url || url.indexOf('http') != 0) return;

        (function ($) {
            var $dialog = $('#modal-websupport-iframe');
            $dialog.find('iframe').attr('src', url);
            modal.close();
            (window.nomodal(function () { $dialog.modal(); }))();
        })(jQuery);
    },
    pages_supported: {
        aboutus: 1, advertise: 1, contact: 1, content: 1, content2: 1, creators: 1, 'default': 1, group: 1, help: 1, privacy: 1, recentlyviewed: 1, favorites: 1, report: 1, search: 1,
        tag: 1, terms: 1, video: 1, video2: 1, videogroup: 1, videos: 1, videotag: 1, clickcount: 1
    },
    parse_url: function (uri) {
        var page = uri.attr('file').replace(/\.(html|aspx)$/g, '').toLowerCase(); //window.location.pathname
        var data = false;

        if (uri.segment(1) == 'quizzes')
            return '';
        else if (page != '') {
            if (uri.segment(1).indexOf('_') > -1) {
                data = uri.segment(1).split('_');
                page = data[0];
            }

            if (page == 'view' || page == 'content2' || page == 'facebook')
                page = 'content';

            if (page == 'video2')
                page = 'video';

            if (page == 'app') //app_redirect will come as "app" page.
                page = 'default';

            if (!app.pages_supported.hasOwnProperty(page))
                return '';

            page = page + '.html';
        }

        var query = uri.attr('query');

        if (data)
            query += (query == '' ? '' : '&') + 'id=' + data[1];

        if (query != '') query = '?' + query;
        var hash = uri.attr('fragment');
        if (hash != '') hash = '#' + hash;

        return page + query + hash;
    },
    rate_app: function () {
        navigator.notification.confirm('[=app_general_rate_message]', function (idx) {
            switch (idx) {
                case 3:
                    localStorage.setItem('rateapp', 1);
                    break;
                case 1:
                    {
                        localStorage.setItem('rateapp', 1);

                        switch (device.platform) {
                            case 'Android':
                                window.open('market://details?id=com.globalcontent.tudoporemailapp', '_system');
                                break;
                            case 'iOS':
                                window.open('itms-apps://itunes.apple.com/app/id1186257885', '_system');
                                break;
                        }

                        //var iOSVersion;
                        //if (/(iPhone|iPod|iPad)/i.test(navigator.userAgent.toLowerCase())) {
                        //    if (this.preferences.openStoreInApp) {
                        //        exec(null, null, 'AppRate', 'launchAppStore', ['<my_app_id>']);//ios
                        //    } else {
                        //        iOSVersion = navigator.userAgent.match(/OS\s+([\d\_]+)/i)[0].replace(/_/g, '.').replace('OS ', '').split('.');
                        //        iOSVersion = parseInt(iOSVersion[0]) + (parseInt(iOSVersion[1]) || 0) / 10;
                        //        window.open(PREF_STORE_URL_FORMAT_IOS + '<my_app_id>', '_system');//ios
                        //    }
                        //} else
                        //if (/(Android)/i.test(navigator.userAgent.toLowerCase())) {
                        //    window.open('market://details?id=com.globalcontent.tudoporemailapp', '_system');
                        //}
                        //else if (/(Windows|Edge)/i.test(navigator.userAgent.toLowerCase())) {
                        //    window.open('ms-windows-store://pdp/?ProductId=<the apps Store ID>', '_blank');//windows
                        //} else if (/(BlackBerry)/i.test(navigator.userAgent.toLowerCase())) {
                        //    window.open('appworld://content/[App Id]/', '_system');//blackberry
                        //} else if (/(IEMobile|Windows Phone)/i.test(navigator.userAgent.toLowerCase())) {
                        //    window.open('ms-windows-store:Review?name=<the Package Family Name of the application>', '_system');//windows8
                        //}
                    }
                    break;
            }
        }, '[=app_general_rate_title]', ['[=app_general_rate_ratenow]', '[=app_general_rate_later]', '[=app_general_rate_cancel]']);
    },
    offline_confirm: function () {
        (function ($) { $('.loading-content').remove(); })(jQuery);
        navigator.notification.confirm('[=app_general_error_connection_text]', function (btn) {
            if (btn == 1) window.location.href = window.location.href;
        }, '[=app_general_error_connection_title]', '[=app_general_error_connection_reload],[=app_general_error_connection_cancel]');
    }
};