﻿(function ($, window, document) {
    var $window = $(window);
    $.fn.infiniteScrollApp = function (options) {
        var self = this, $self = $(this);
        self.settings = $.extend({}, $.fn.infiniteScrollApp.defaults, options);
        if (self.settings.url == '')
            throw 'infiniteScrollApp error - url is empty';
        if (!('skip' in self.settings.data && 'take' in self.settings.data))
            throw 'infiniteScrollApp error - skip and take are reuired';
        if (self.settings.template == '')
            throw 'infiniteScrollApp error - no template';

        var spinner = $('<div />').addClass('text-center tm-spinner').append($('<div />').addClass('ico ico-spinner animate-spin gi-2x'));
        var working = false;
        $self.append(spinner);

        function update() {
            if (working) return;

            var fold = (window.innerHeight ? window.innerHeight : $window.height()) + $window.scrollTop();
            if (fold + result(self.settings.threshold) >= $(document).height())
                load();
        };

        //load the information here
        function load() {
            working = true;

            var reload = false;
            $.ajax({
                cache: false, dataType: 'html',
                url: self.settings.url,
                data: self.settings.data,
                dataType: 'json'
            }).done(function (data) {
                spinner.remove();

                var skip = self.settings.data.skip() || 0;
                if (data && data.length > 0) {
                    $self.append(Mustache.render(self.settings.template, data));
                    reload = (self.settings.data.skip() || 0) - skip == self.settings.data.take;
                }
                $self.append(spinner);

                if (!data || data.length == 0 || !reload) {
                    self.unbind();
                    if (skip == 0 && (!data || data.length == 0)) $self.trigger('no-results'); else $self.trigger('no-more-results');
                }

                $(window).trigger('lazycontent');
            }).always(function () {
                working = false;
                if (reload)
                    update();
                else
                    spinner.remove();
            });
        };

        self.unbind = function () {
            $window.off('scroll resize', update);
        };
        self.reset = function () {
            if (working) { window.setTimeout(self.reset, 250); return; }

            $self.empty();
            $window.off('scroll resize', update).on('scroll resize', update).scroll();
            //update();
        };

        $window.on('scroll resize', update).scroll();

        return self;
    };

    //TODO : ask evy if he want function() {return $(window).height()} or something else
    $.fn.infiniteScrollApp.defaults = {
        threshold: function () { return $(window).height(); },
        url: window.location.href,
        data: {},
        template: ''
    };

})(jQuery, window, document);